<?php

namespace Drupal\trustpilot_api\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Class Endpoint.
 *
 * @Annotation
 */
class Endpoint extends Plugin {

  /**
   * Plugin id.
   *
   * @var string
   */
  public $id;

  /**
   * Plugin name.
   *
   * @var string
   */
  public $name;

  /**
   * Endpoint path as a pattern w/ replaceable values.
   *
   * @var string
   */
  public $path;

  /**
   * Endpoint request method.
   *
   * @var string
   */
  public $method = 'GET';

  /**
   * Endpoint documentation URL.
   *
   * @var string
   */
  public $documentationUrl = '';

  /**
   * Array of parameter keys that are required for the endpoint.
   *
   * @var array
   */
  public $requiredParams = [];

  /**
   * Array of endpoint default request parameters.
   *
   * @var array
   */
  public $defaultRequestParams = [];

}
