<?php

namespace Drupal\trustpilot_api\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class SettingsForm.
 *
 * @package Drupal\trustpilot_api\Form
 */
class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'trustpilot_api_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'trustpilot_api.settings',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('trustpilot_api.settings');

    $form['api'] = [
      '#type' => 'fieldset',
      '#title' => $this->t('Client Settings'),
      'api_key' => [
        '#type' => 'textfield',
        '#title' => $this->t('Trustpilot API Key'),
        '#default_value' => $config->get('api_key'),
      ],
      'business_unit_id' => [
        '#type' => 'textfield',
        '#title' => $this->t('Default Business Unit Id'),
        '#description' => $this->t('This can be overridden per request.'),
        '#default_value' => $config->get('business_unit_id'),
      ],
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('trustpilot_api.settings')
      ->set('api_key', $form_state->getValue('api_key'))
      ->set('business_unit_id', $form_state->getValue('business_unit_id'))
      ->save();

    parent::submitForm($form, $form_state);
  }

}
